GET /nodes/

osf.io

Summary: List all nodes
Operation ID: nodes_list
Auth: unknown
Description

A paginated list of nodes, representing projects and components, on the OSF. The returned nodes are those which are public or which the user has access to view. The returned nodes are sorted by their `date_modified`, with the most recently updated nodes appearing first. Registrations cannot be accessed through this endpoint (use the [registrations](#tag/Registrations) endpoints instead). #### Returns Returns a JSON object containing `data` and `links` keys. The `data` key contains an array of 10 nodes. Each resource in the array is a separate node object and contains the full representation of the node, meaning additional requests to a node's detail view are not necessary. The `links` key contains a dictionary of links that can be used for [pagination](#tag/Pagination). This request should never return an error. #### Filtering You can optionally request that the response only include nodes that match your filters by utilizing the `filter` query parameter, e.g. https://api.osf.io/v2/nodes/?filter[title]=reproducibility. Nodes may be filtered by their `id`, `title`, `category`, `description`, `public`, `tags`, `date_created`, `date_modified`, `root`, `parent`, `preprint`, and `contributors`. Most fields are string fields and will be filtered using simple substring matching. Public and preprint are boolean fields, and can be filtered using truthy values, such as **true**, **false**, **0** or **1**. Note that quoting true or false in the query will cause the match to fail.

No probe data for this endpoint yet.